﻿/* Copyright (C) Click & Push Accessibility, Inc - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written and maintained by the Click & Push Development team 
 * <dev@clicknpush.ca>, January 2022
 */

import React from "react"
import { ActivityIndicator, Text, View } from "react-native"
import UnauthorizedLayout from "./Auth/AuthLayout"

export const LoadingScreen: React.FC = () => {
    return (
        <UnauthorizedLayout>
            <View style={{flex: 1, justifyContent: 'center', alignItems: 'center'}}>
                <ActivityIndicator color='white' size={30} />
                <Text style={{fontSize: 20, color: 'white', marginTop: 20}}>Loading...</Text>
            </View>
        </UnauthorizedLayout>
    )
}