import React, { useState } from "react"
import { View, Text, Button } from "react-native"
import { Landmark } from "../../../data/types"
import { MapStackNavigationProp } from "../../../navigation/MapNavigator"
import { colors } from "../../../utils/GlobalUtils"
import {Svg} from "react-native-svg"

interface IndoorMapProps {
    navigation: MapStackNavigationProp
}

const IndoorMap: React.FC<IndoorMapProps> = ({navigation}) => {

    const [indoorMarkers, setIndoorMarkers] = useState<Landmark[]>()

    const pressedOnSvg = (longitude, latitude) => {
        const newMarker: Landmark = {
            latitude: longitude,
            longitude: latitude,
            title: 'title'
        }
        
        setIndoorMarkers([...indoorMarkers, newMarker])
    }

    return (
        <View style={{flex:1, justifyContent: 'center', alignItems: 'center', padding: 20}}>
            <Text style={{fontSize: 15, textAlign: 'center', marginBottom: 30}} >Indoor maps coming soon!</Text>
            <Button title="Back" color={colors.red} onPress={() => navigation.navigate('Outdoor')} />
            <Svg>

            </Svg>
        </View>
    )
}

export default IndoorMap