import { AxiosRequestConfig } from "axios";
import Config from "react-native-config";
import { makeAuthenticatedRequestAsync } from "../auth/core";

export const getNotificationTokenFromServer = async (userId: string) => {
    try {
        const response = await makeAuthenticatedRequestAsync({
            method: 'GET',
            url: Config.API_URL + `/api/notif-token/${userId}/`,
        }, 'Something went wrong when getting notification token from the server');   
        return response.data;
    } catch (error) {}
}

export const ensureNotificationTokenExistsOnServer = async (userId: string, notificationToken: string, retries: number) => {
    if (retries > 0) {
        try {
            const response = await makeAuthenticatedRequestAsync({
                method: 'POST',
                data: {token: notificationToken},
                url: Config.API_URL + `/api/notif-token/${userId}/`,
            }, "Something went wrong with checking notification token existence on server");   
            return response.data;
        } catch (error) {}

        ensureNotificationTokenExistsOnServer(userId, notificationToken, retries - 1)   
    }
    else {
        throw new Error("Notification was not found on the server");
    }
}